### Method

# Foundry DoapService dup_doap_file

since: 1.1

#### Declaration [src]

    FoundryDoapFile*
    foundry_doap_service_dup_doap_file (
      FoundryDoapService* self
    )

#### Description

No description available.

Available since: 1.1

#### Return value

Type: `FoundryDoapFile`

A `FoundryDoapFile` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.